Package org.apache.tools.ant.taskdefs.optional.junit

# Class AggregateTransformer.Format

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.optional.junit.AggregateTransformer.Format

Enclosing class:
  `AggregateTransformer`

public static class AggregateTransformer.Format extends EnumeratedAttribute
defines acceptable formats.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Format()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getValues()`
  list authorized values.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Format

    public Format()

- ## Method Details

  - ### getValues

    public String[] getValues()
    list authorized values.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      authorized values.